curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/completion" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge_completion = vehicle.request(
"GET",
"{make}/charge/completion"
)
const chargeCompletion = await vehicle.request(
"GET",
"{make}/charge/completion"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge/completion")
.build();
VehicleResponse chargeCompletion = vehicle.request(request);
chargeCompletion = vehicle.request(
"GET",
"{make}/charge/completion"
)
{
"time": "2022-01-13T22:52:55.358Z"
}
Chevrolet and Cadillac
Charge Completion Time
When the vehicle is charging, returns the date and time the vehicle expects to “complete” this charging session. When the vehicle is not charging, this endpoint results in a vehicle state error.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
charge
/
completion
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/completion" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge_completion = vehicle.request(
"GET",
"{make}/charge/completion"
)
const chargeCompletion = await vehicle.request(
"GET",
"{make}/charge/completion"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge/completion")
.build();
VehicleResponse chargeCompletion = vehicle.request(request);
chargeCompletion = vehicle.request(
"GET",
"{make}/charge/completion"
)
{
"time": "2022-01-13T22:52:55.358Z"
}
This endpoint is currently available for
cadillac and chevrolet.Permission
read_charge
Request
string
required
vehicle_id of the vehicle you are making the request to.string
required
The make to pass in the URL.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/completion" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge_completion = vehicle.request(
"GET",
"{make}/charge/completion"
)
const chargeCompletion = await vehicle.request(
"GET",
"{make}/charge/completion"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge/completion")
.build();
VehicleResponse chargeCompletion = vehicle.request(request);
chargeCompletion = vehicle.request(
"GET",
"{make}/charge/completion"
)
Response
string
An ISO8601 formatted datetime (
YYYY-MM-DDTHH:mm:ss.SSSZ) for the time at which the vehicle expects to complete this charging session.{
"time": "2022-01-13T22:52:55.358Z"
}
Was this page helpful?

